[arch-commits] Commit in libsasl/trunk (PKGBUILD db-4.6.patch db-4.7.patch)

Pierre Schmitz pierre at archlinux.org
Mon Jul 14 07:33:26 EDT 2008


    Date: Monday, July 14, 2008 @ 07:33:26
  Author: pierre
Revision: 5269

upgpkg: libsasl 2.1.22-7
    updated db.patch to avoid linking against old versions

Added:
  libsasl/trunk/db-4.7.patch
    (from rev 5268, libsasl/trunk/db-4.6.patch)
Modified:
  libsasl/trunk/PKGBUILD
Deleted:
  libsasl/trunk/db-4.6.patch

--------------+
 PKGBUILD     |    8 ++++----
 db-4.6.patch |   20 --------------------
 db-4.7.patch |   20 ++++++++++++++++++++
 3 files changed, 24 insertions(+), 24 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-14 11:19:22 UTC (rev 5268)
+++ PKGBUILD	2008-07-14 11:33:26 UTC (rev 5269)
@@ -3,7 +3,7 @@
 
 pkgname=libsasl
 pkgver=2.1.22
-pkgrel=6
+pkgrel=7
 pkgdesc="Cyrus Simple Authentication Service Layer (SASL) library"
 arch=(i686 x86_64)
 url="http://asg.web.cmu.edu/cyrus/download/"
@@ -11,16 +11,16 @@
 depends=('db>=4.7')
 install=libsasl.install
 source=(ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-${pkgver}.tar.gz
-	cyrus-sasl-2.1.19-checkpw.c.patch db-4.6.patch)
+	cyrus-sasl-2.1.19-checkpw.c.patch db-4.7.patch)
 md5sums=('45dde9d19193ae9dd388eb68b2027bc9'
          'e27ddff076342e7a3041c4759817d04b'
-         '7766525d44d7659ce3e3e6587981c351')
+         '71a3b7454f4d7cc2966b347bdf03f2fc')
 options=('!makeflags')
 
 build() {
   cd ${srcdir}/cyrus-sasl-${pkgver}
   patch -Np0 -i ${srcdir}/cyrus-sasl-2.1.19-checkpw.c.patch || return 1
-  patch -Np0 -i ${srcdir}/db-4.6.patch || return 1
+  patch -Np0 -i ${srcdir}/db-4.7.patch || return 1
   ./configure --prefix=/usr \
   	--sysconfdir=/etc \
   	--localstatedir=/var \

Deleted: db-4.6.patch
===================================================================
--- db-4.6.patch	2008-07-14 11:19:22 UTC (rev 5268)
+++ db-4.6.patch	2008-07-14 11:33:26 UTC (rev 5269)
@@ -1,20 +0,0 @@
---- configure	2006-05-18 21:30:13.000000000 +0200
-+++ configure.new	2007-09-29 00:22:42.000000000 +0200
-@@ -5125,7 +5125,7 @@
- 	fi
- 
- 	saved_LIBS=$LIBS
--        for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
-+        for dbname in db-4.6 db4.6 db46 db-4.54 db4.5 db45 db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
-           do
- 	    LIBS="$saved_LIBS -l$dbname"
- 	    cat >conftest.$ac_ext <<_ACEOF
-@@ -5882,7 +5882,7 @@
- 	fi
- 
- 	saved_LIBS=$LIBS
--        for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
-+        for dbname in db-4.6 db4.6 db46 db-4.54 db4.5 db45 db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
-           do
- 	    LIBS="$saved_LIBS -l$dbname"
- 	    cat >conftest.$ac_ext <<_ACEOF

Copied: libsasl/trunk/db-4.7.patch (from rev 5268, libsasl/trunk/db-4.6.patch)
===================================================================
--- db-4.7.patch	                        (rev 0)
+++ db-4.7.patch	2008-07-14 11:33:26 UTC (rev 5269)
@@ -0,0 +1,20 @@
+--- configure	2006-05-18 21:30:13.000000000 +0200
++++ configure.new	2007-09-29 00:22:42.000000000 +0200
+@@ -5125,7 +5125,7 @@
+ 	fi
+
+ 	saved_LIBS=$LIBS
+-        for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
++        for dbname in db-4.7 db4.7 db47 db-4.54 db4.5 db45 db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+           do
+ 	    LIBS="$saved_LIBS -l$dbname"
+ 	    cat >conftest.$ac_ext <<_ACEOF
+@@ -5882,7 +5882,7 @@
+ 	fi
+
+ 	saved_LIBS=$LIBS
+-        for dbname in db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
++        for dbname in db-4.7 db4.7 db47 db-4.54 db4.5 db45 db-4.4 db4.4 db44 db-4.3 db4.3 db43 db-4.2 db4.2 db42 db-4.1 db4.1 db41 db-4.0 db4.0 db-4 db40 db4 db-3.3 db3.3 db33 db-3.2 db3.2 db32 db-3.1 db3.1 db31 db-3 db30 db3 db
+           do
+ 	    LIBS="$saved_LIBS -l$dbname"
+ 	    cat >conftest.$ac_ext <<_ACEOF





More information about the arch-commits mailing list